Package io.vertx.rxjava3.grpc.client

## Class GrpcClientBuilder<C>

- java.lang.Object
- - io.vertx.rxjava3.grpc.client.GrpcClientBuilder<C>

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class GrpcClientBuilder<C>
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  A builder for `GrpcClient`.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<GrpcClientBuilder>` | `__TYPE_ARG` |
    `io.vertx.lang.rx.TypeArg<C>` | `__typeArg_0` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GrpcClientBuilder​(GrpcClientBuilder delegate)` |
    `GrpcClientBuilder​(Object delegate, io.vertx.lang.rx.TypeArg<C> typeArg_0)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `C` | `build()` | Build and return the client.
    `boolean` | `equals​(Object o)` |
    `GrpcClientBuilder` | `getDelegate()` |
    `int` | `hashCode()` |
    `static <C> GrpcClientBuilder<C>` | `newInstance​(GrpcClientBuilder arg)` |
    `static <C> GrpcClientBuilder<C>` | `newInstance​(GrpcClientBuilder arg, io.vertx.lang.rx.TypeArg<C> __typeArg_C)` |
    `String` | `toString()` |
    `GrpcClientBuilder<C>` | `with​(HttpClientOptions transportOptions)` | Configure the client HTTP transport options.
    `GrpcClientBuilder<C>` | `with​(GrpcClientOptions options)` | Configure the client options.
    `GrpcClientBuilder<C>` | `withAddressResolver​(AddressResolver resolver)` | Configure the client to use a specific address resolver.
    `GrpcClientBuilder<C>` | `withLoadBalancer​(LoadBalancer loadBalancer)` | Configure the client to use a load balancer.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<GrpcClientBuilder> __TYPE_ARG

    - #### __typeArg_0

          public final io.vertx.lang.rx.TypeArg<C> __typeArg_0

  - ### Constructor Detail

    - #### GrpcClientBuilder

          public GrpcClientBuilder​(GrpcClientBuilder delegate)

    - #### GrpcClientBuilder

          public GrpcClientBuilder​(Object delegate,
                                   io.vertx.lang.rx.TypeArg<C> typeArg_0)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public GrpcClientBuilder getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### with

          public GrpcClientBuilder<C> with​(GrpcClientOptions options)

      Configure the client options.
      Parameters:
        `options` - the client options
      Returns:
        a reference to this, so the API can be used fluently

    - #### with

          public GrpcClientBuilder<C> with​(HttpClientOptions transportOptions)

      Configure the client HTTP transport options.
      Parameters:
        `transportOptions` - the client transport options
      Returns:
        a reference to this, so the API can be used fluently

    - #### build

          public C build()

      Build and return the client.
      Returns:
        the client as configured by this builder

    - #### withAddressResolver

          public GrpcClientBuilder<C> withAddressResolver​(AddressResolver resolver)

      Configure the client to use a specific address resolver.
      Parameters:
        `resolver` - the address resolver
      Returns:

    - #### withLoadBalancer

          public GrpcClientBuilder<C> withLoadBalancer​(LoadBalancer loadBalancer)

      Configure the client to use a load balancer.
      Parameters:
        `loadBalancer` - the load balancer
      Returns:

    - #### newInstance

          public static <C> GrpcClientBuilder<C> newInstance​(GrpcClientBuilder arg)

    - #### newInstance

          public static <C> GrpcClientBuilder<C> newInstance​(GrpcClientBuilder arg,
                                                             io.vertx.lang.rx.TypeArg<C> __typeArg_C)